import { StringFormat, TStringFormatFunction } from "./StringFormat";
/**
 * Register the string format function globally for typescript.
 * @see https://stackoverflow.com/questions/39877156/how-to-extend-string-prototype-and-use-it-next-in-typescript
 */
declare global {
    interface String {
        /**
         * Format the string
         */
        format: TStringFormatFunction;
    }
}
/**
 * Global String Format Class
 *
 * The global string format functionality is created based on this class.
 */
declare class GlobalStringFormat extends StringFormat {
    constructor();
}
/**
 * @link StringFormat
 */
declare const formatter: GlobalStringFormat;
export default formatter;
//# sourceMappingURL=index.d.ts.map