"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const CStyleFormatter_1 = __importDefault(require("./formatters/CStyleFormatter"));
const PyStyleFormatter_1 = __importDefault(require("./formatters/PyStyleFormatter"));
const StringFormat_1 = require("./StringFormat");
/**
 * Global String Format Class
 *
 * The global string format functionality is created based on this class.
 */
class GlobalStringFormat extends StringFormat_1.StringFormat {
    constructor() {
        super();
        // TODO: [MAPLETS-49] Performance test the sequence.
        // it may be possible that py-c be slower than c-py.
        const pyStyleFormatter = new PyStyleFormatter_1.default();
        const cStyleFormatter = new CStyleFormatter_1.default();
        this.addFormatter(pyStyleFormatter);
        this.addFormatter(cStyleFormatter);
        this.extend(String);
        Object.seal(this);
        Object.seal(cStyleFormatter);
        Object.seal(pyStyleFormatter);
    }
}
/**
 * @link StringFormat
 */
const formatter = new GlobalStringFormat();
exports.default = formatter;
