"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isString = void 0;
const assert_1 = __importDefault(require("assert"));
/**
 * Assert data type is string
 *
 * @param name
 * @param value
 * @returns {value is string}
 * @memberof Assert
 * @throws AssertionError
 */
function isString(name, value) {
    if (typeof value !== "string")
        throw new assert_1.default.AssertionError({
            message: `Expected '${name}' to be of type of 'string' but got '${typeof value}'`,
            expected: "string",
            actual: typeof value,
            operator: name,
        });
    return true;
}
exports.isString = isString;
